{% include "admin/admin.html.twig" %}
<div class="col-9 table-admin">
	<table id="myTable" class="table table-striped table-dark">
		<thead>
			<tr>
				<th>Id</th>
				<th>Avatar</th>
				<th>Prénom</th>
				<th>Nom</th>
				<th>Pseudo</th>
				<th>Email</th>
				<th>Créée le</th>
				<th>Mise à jour le</th>
				<th>Action</th>
			</tr>
		</thead>
		<tbody>
			{% for user in users %}
				<tr>
					<td>{{ user.id }}</td>
					<td><img src="{{ asset ('img/avatar') ~ user.image }}" alt=""></td>
					<td>{{ user.firstName }}</td>
					<td>{{ user.lastName }}</td>
					<td>{{ user.userName }}</td>
					<td>{{ user.email }}</td>
					<td>{{ user.createdAt|date('m/d/Y') }}</td>
					<td>{{ user.updatedAt|date('m/d/Y') }}</td>
					<td class="btn-action">
						{% if user.role == ['ROLE_USER'] %}
							<button class="btn btn-edit">
								<a href="{{ path ('promoteUser', {id:user.id}) }}">Promouvoir</a>
							</button>
                        {% elseif user.role == ['ROLE_ADMIN'] %}
                                <button class="btn btn-edit">
								<a href="{{ path ('demoteUser', {id:user.id}) }}">Destituer</a>
							</button>
						{% endif %}

						<button class="btn btn-view">
							<a href="{{ path ('viewUser', {id:user.id}) }}"><img src="{{ asset ('img/icons/eye.png')}}"></a>
						</button>
					</td>
				</tr>
			{% endfor %}
		</tbody>
	</table>
</div></div></div>
